Copyright: Created with EasyHelp (Tel: 0973 209667)


Logic/Watchdog - RG354301

Description

This block implements a watchdog timer function and provides both non-inverted and inverted outputs.

The function block contains a timer which is restarted by the receipt of a message at Input.  The Output is true when the timer is timing, false when it times out.

Any kind of signal may be connected to Input; the information contained in a received message is non significant - just the fact of its receipt.

The Initial timeout time and the Normal timeout time are configuration parameters, entered in milliseconds.

Parameters

Input	Input to the watchdog.

Get Output	Returns the current state of the watchdog:  true or false.


Description

This block implements a watchdog timer function and provides both non-inverted and inverted outputs.

The function block contains a timer which is restarted by the receipt of a message at Input.  The Output is true when the timer is timing, false when it times out.

Any kind of signal may be connected to Input; the information contained in a received message is non significant - just the fact of its receipt.

The Initial timeout time and the Normal timeout time are configuration parameters, entered in milliseconds.


Parameters

Input	Input to the watchdog.

Get Output	Returns the current state of the watchdog:  true or false.